#!/bin/bash

usage() {
  echo "Скрипт $(basename $0) предназначен для демонстрации возможностей getopts."
  echo ""
  echo "Использование: `basename $0` -abef -c C -d D"
  echo -e " \033[1mОпции:\033[0m"
  echo "  -a | -b Две опции для одного действия"
  echo "  -c  Опция с аргументом"
  echo "  -d  Еще опция с аргументом"
  echo "  -e  Опция без аргумента"
  echo "  -f  Еще опция без аргумента"
}

if [ $# -eq 0 ] ; then
  usage
fi

while getopts "abc:d:ef" Option
do
  case $Option in
    a | b ) echo "Действие 1: опция - $Option. Номер опции: $OPTIND. Аргумент: $OPTARG";;

    * ) echo "Выбран недопустимый ключ."
        usage
        exit $E_OPTERROR;; # По-умолчанию

  esac
done
shift $(($OPTIND - 1))

exit 0
